Cyberduck Mountain Duck CLI

#6798 closed defect (fixed)

swift uses incorrect port for http.

Reported by: Koert Xls Owned by: dkocher
Priority: normal Milestone: 4.3
Component: openstack Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

I have a setup in which the authentication server uses https, and the object gateways use http. Cyberduck tries to connect to the object gateway on port 443, even though it should be using port 80.

Transcript (I removed the irrelevant headers) CONNECTION 1: https://authenticationhost:443

GET /v1.0 HTTP/1.1
x-auth-user: USERNAME
x-auth-key: PASSWORD
Host: authenticationhost:443

HTTP/1.1 204 No Content
X-Storage-Url: http://proxyhost/v1/AUTH_TENANT
X-Auth-Token: fbbcb5d7f18541d9963ceaa180ac4dc3

CONNECTION 2: https://proxyhost:443

GET /v1/AUTH_TENANT?limit=10000&format=xml HTTP/1.1
X-Auth-Token: fbbcb5d7f18541d9963ceaa180ac4dc3
Host: proxyhost

As you can see, the connection goes to the wrong port, and though the server is listening there, it doesn't understand the request, because CyberDuck doesn't make a valid ssl connection.

If the authentication server returns the port number in the url, thing go as expected, and cyberduck happilly connects to the specified port.

Change History (2)

comment:1 Changed on Aug 6, 2012 at 12:18:44 PM by Koert Xls

This issue is similar to, but different from #6570.

Last edited on Oct 4, 2012 at 10:12:39 PM by dkocher (previous) (diff)

comment:2 Changed on Oct 5, 2012 at 1:47:09 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed

Can you confirm this is fixed in the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software